Add ability to save custom queries to "All issues" view

2008-03-19 22:12 - Maxim Krušina

Status: Closed Start date: 2008-03-19

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I'm really missing the ability to save custom queries on page with issues of all projects. It should be the same as on project's issues

page, where queries can be saved for all users and for current user only.

Related issues:

Related to Redmine - Feature #671: Globaly saved filters Closed 2008-02-15

Associated revisions

Revision 1311 - 2008-03-30 14:29 - Jean-Philippe Lang

Queries can be marked as 'For all projects'. Such queries will be available on all projects and on the global issue list (#897, closes #671).

Only admin users can create/edit queries that are public and for all projects.

Note: this change does not allow to save a query from the global issue list. You have to be inside a project but then you can mark the query as 'For all

projects'.

Revision 1312 - 2008-03-30 16:20 - Jean-Philippe Lang

Global queries can be saved from the global issue list (follows r1311 and closes #897).

History

#1 - 2008-03-19 22:17 - Maxim Krušina

In conjuction with #896, there can be line in config, where can be selected which "custom query" will be used for menu item "My tickets". There can

be global settings for whole redmine instance and user-optin too. User can choose from <use default>, which will use global settings or it will use

user's choise.

In global config, there can be only choise of global queries available to all users, in user config there can be also user's queries too.

The problem can be that queries are specific to each project/tracker... eh?

#2 - 2008-03-30 17:17 - Jean-Philippe Lang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1312.
